package com.czg.market.service;

import com.czg.market.dto.ShopCouponDTO;
import com.czg.market.dto.SmsShopTemplateDTO;
import com.czg.market.dto.SmsTemplateQueryDTO;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;
import com.czg.market.entity.SmsShopTemplate;

import java.util.List;

/**
 * 店铺模板表 服务层。
 *
 * @author ww
 * @since 2025-10-14
 */
public interface SmsShopTemplateService extends IService<SmsShopTemplate> {
    /**
     * 获取店铺短信模板分页列表
     * @param name 模板名称 模糊
     * @return 店铺短信模板列表
     */
    List<SmsShopTemplateDTO> getTemplateList(String name, Long shopId, Integer status);
    Page<SmsShopTemplateDTO> getTemplateList2(SmsTemplateQueryDTO param);

    void addTemplate(SmsShopTemplateDTO param);

    void shopUse(SmsShopTemplateDTO param);
    void resubmit(SmsShopTemplateDTO param);
}
